#!/bin/sh
#

LOC=`pwd`
NEW=/usr/src/linux

if [ -d $NEW ]; then
	cd $NEW
	patch -p0 <$LOC/kernel_26/patch/ip_input.c.patch
	patch -p0 <$LOC/kernel_26/patch/ip_output.c.patch
	patch -p0 <$LOC/kernel_26/patch/Kconfig.patch
	patch -p0 <$LOC/kernel_26/patch/Makefile.patch
	cp -f $LOC/kernel_26/src/iptrk.h	./include/linux
	cp -f $LOC/kernel_26/src/iptrk_queue.c	./net/core
	cp -f $LOC/kernel_26/src/iptrk_dev.c	./net/core
	chown -R root.root $NEW
	echo Kernel Patched.
else
	echo Kernel source tree doesnt exist. Patch failed.
	exit 0
fi
